﻿<%@ Page Title="" Language="C#" MasterPageFile="../Examples.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="DotNetSources.Web.UI.Buttons.Examples.Examples._2_Buttons_With_ConfirmBox.Default" %>
<asp:Content ID="Content2" ContentPlaceHolderID="contentDescription" runat="server">
    Scenario: <em>Click --> Question (confirm box) --> postback</em> demonstrated on a custom buttons.
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="contentExample" runat="server">
    <div style="padding-bottom: 20px;">
        The result from the server:<asp:Label runat="server" ID="lblResult" Font-Bold="true"
            ForeColor="Red"></asp:Label></div>
    <!-- Text Button -->
    <div class="d_box">
        <div class="d_item">
            <div class="d_label bold">
                Button type: <em>TextButton</em></div>
            <div class="d_value bold">
                Code:</div>
            <div style="clear: both;">
            </div>
        </div>
        <div class="d_item">
            <div class="d_label">
                <!-- button -->
                <dns:TextButton runat="server" ID="cmdButtA" Text="Button A" OnClick="Click_ButtonA" ConfirmText="Do you want to really send a postback?"
                    PredefinedStyle="Red" />
            </div>
            <div class="d_value code">
                <!-- code -->
                &lt;dns:TextButton runat="server" ID="cmdButtA" Text="Button A" OnClick="Click_ButtonA" ConfirmText="Do you want to really send a postback?"
                PredefinedStyle="Red" /&gt;
            </div>
            <div style="clear: both;">
            </div>
        </div>
    </div>
    <!-- Image Button -->
    <div class="d_box">
        <div class="d_item">
            <div class="d_label bold">
                Button type: <em>ImageButton</em></div>
            <div class="d_value bold">
                Code:</div>
            <div style="clear: both;">
            </div>
        </div>
        <div class="d_item">
            <div class="d_label">
                <!-- button -->
                <dns:ImageButton runat="server" ID="cmdButtImage" Text="A cat with sun glasses" ImageUrl="../images/sampleImage.jpg" ConfirmText="Do you want to really send a postback?"
                    OnClick="Click_Cat" />
            </div>
            <div class="d_value code">
                <!-- code -->
                &lt;dns:ImageButton runat="server" ID="ImageButton1" Text="A cat with sun glasses" ConfirmText="Do you want to really send a postback?"
                ImageUrl="images/sampleImage.jpg" OnClick="Click_Cat" /&gt;
            </div>
            <div style="clear: both;">
            </div>
        </div>
    </div>
    <!-- Classic Button -->
    <div class="d_box">
        <div class="d_item">
            <div class="d_label bold">
                Button type: <em>ClassicButton</em></div>
            <div class="d_value bold">
                Code:</div>
            <div style="clear: both;">
            </div>
        </div>
        <div class="d_item">
            <div class="d_label">
                <!-- button -->
                <dns:ClassicButton runat="server" ID="cmdClassicButton" Text="This is classic button" ConfirmText="Do you want to really send a postback?"
                        OnClick="Click_Classic" />
            </div>
            <div class="d_value code">
                <!-- code -->
                &lt;dns:ClassicButton runat="server" ID="ClassicButton1" Text="This is classic button" ConfirmText="Do you want to really send a postback?"
                OnClick="Click_Classic" /&gt;
            </div>
            <div style="clear: both;">
            </div>
        </div>
    </div>
    <!-- Link Button -->
    <div class="d_box">
        <div class="d_item">
            <div class="d_label bold">
                Button type: <em>LinkButton</em></div>
            <div class="d_value bold">
                Code:</div>
            <div style="clear: both;">
            </div>
        </div>
        <div class="d_item">
            <div class="d_label">
                <!-- button -->
                <dns:LinkButton runat="server" ID="cmdLinkButt" Text="Link Button" ToolTip="This is simple LinkButton." ConfirmText="Do you want to really send a postback?"
                        OnClick="Click_LinkButton" />
            </div>
            <div class="d_value code">
                <!-- code -->
               &lt;dns:LinkButton runat="server" 
    ID="LinkButton1" ConfirmText="Do you want to really send a postback?"
    Text="Link Button" 
    ToolTip="This is simple LinkButton."
    OnClick="Click_LinkButton" /&gt;
            </div>
            <div style="clear: both;">
            </div>
        </div>
    </div>
</asp:Content>
