﻿<%@ Page Title="" Language="C#" MasterPageFile="../Examples.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="DotNetSources.Web.UI.Buttons.Examples.Examples._7_Localization.Default" %>
<asp:Content ID="Content1" ContentPlaceHolderID="contentDescription" runat="server">
    Localization of buttons in MessageBox and ConfirmBox
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="contentExample" runat="server">

<strong>Show MessageBox:</strong><br />
<input type="button" value="Click to display message box"
            onclick="javascript: DotNetSources.MessageBox.get_instance().Show('MessageBox with custom text in the OK button!', DotNetSources.Icons.Warning)" />

<br />
<br />

<strong>Show ConfirmBox:</strong>
<dns:TextButton runat="server" ID="cmdButtA" Text="Button A" ConfirmText="MessageBox with custom text in the buttons!"
                    PredefinedStyle="Red" />
<br />
<br />
<strong>Code:</strong>
<div class="code">
<pre>
protected void Page_Load(object sender, EventArgs e) {
    if (!IsPostBack) {
        MessageBoxButtonText = "Zavřít";
        PositiveButtonText = "OK";
        NegativeButtonText = "Cancel";
    }
}
</pre>
</div>

</asp:Content>
